GeoTiffTags (JHOVE Documentation)
Keywords: edu.harvard.hul.ois.jhove.module.tiff.GeoTiffTags,GeoTiffTags class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class GeoTiffTags

    java.lang.Object
      |
      +--edu.harvard.hul.ois.jhove.module.tiff.TagFamily
            |
            +--edu.harvard.hul.ois.jhove.module.tiff.GeoTiffTags

public class GeoTiffTags
extends TagFamily

This class encapsulates the tags in the GeoTIFF extensions. An instance of this class will be created by TiffIFD; if tags in this class should not be recognized for a given IFD, it will be created disabled.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TagFamily
`_enabled, _ifd, _version, UNDEFINED`

Constructor Summary
`GeoTiffTags(TiffIFD ifd, boolean enabled, boolean rawOutput)` Creates a GeoTiffTags object.

Method Summary
`GeoTag` | `getGeoKeyDirectoryTag()`
`double[]` | `getModelPixelScale()`
`double[]` | `getModelTiepoints()`
`double[]` | `getModelTransformation()`
`protected boolean` | `lookupTag(TiffModule module, TiffIFD ifd, int tag, int fieldType, int nValues, long valueOffset, RepInfo info)` Looks up a tag.
`void` | `makeGeoAsciiParams(TiffTag tiffTag, long valueOffset)`
`void` | `makeGeoDoubleParams(TiffTag tiffTag, long valueOffset)`
`void` | `setModelPixelScale(double[] modelPixelScale)`
`void` | `setModelTiepoints(double[] modelTiepoints)`
`void` | `setModelTransformation(double[] modelTransformation)`

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TagFamily
`checkCount, checkType, checkType, isEnabled, makeAscii, makeAsciiArray, makeDoubleArray, makeInt, makeIntArray, makeLong, makeLongArray, makeRational, makeRationalArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoTiffTags

    public GeoTiffTags(TiffIFD ifd,
                       boolean enabled,
                       boolean rawOutput)

  Creates a GeoTiffTags object.

Parameters:
  `ifd` - The IFD from which the tag was obtained
  `enabled` - `true` if this set of tags is to be used. If `false`, no tags in this class will be recognized as valid.
  `rawOutput` - `true` if the Property created for these tags should contain only raw data rather than explanatory strings

Method Detail

### lookupTag

    protected boolean lookupTag(TiffModule module,
                                TiffIFD ifd,
                                int tag,
                                int fieldType,
                                int nValues,
                                long valueOffset,
                                RepInfo info)
                         throws TiffException

  Looks up a tag. Sets instance variables as necessary to record the tag, and may change the contents of the info parameter. If this object is not enabled, its lookupTag method must not be called.

  Specified by:
    `lookupTag` in class `TagFamily`
  Parameters:
    `module` - The TiffModule under which the tag is being read
    `ifd` - The TiffIFD in which the tag was found
    `tag` - The tag value for the tag being looked up
    `fieldType` - The field type (using the TIFF type values)
    `nValues` - The number of values indicated by the tag
    `valueOffset` - The offset in the file to the value. If the size of the data is 4 or less, this will be an offset to the "offset" field itself.
    `info` - The RepInfo object describing the current file
    `TiffException`

### getGeoKeyDirectoryTag

    public GeoTag getGeoKeyDirectoryTag()

### getModelPixelScale

    public double[] getModelPixelScale()

### getModelTiepoints

    public double[] getModelTiepoints()

### getModelTransformation

    public double[] getModelTransformation()

### makeGeoAsciiParams

    public void makeGeoAsciiParams(TiffTag tiffTag,
                                   long valueOffset)

### makeGeoDoubleParams

    public void makeGeoDoubleParams(TiffTag tiffTag,
                                    long valueOffset)

### setModelPixelScale

    public void setModelPixelScale(double[] modelPixelScale)

### setModelTiepoints

    public void setModelTiepoints(double[] modelTiepoints)

### setModelTransformation

    public void setModelTransformation(double[] modelTransformation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD